---
- name: List currently installed domains
  ansible.builtin.shell: yunohost domain list --output-as json
  register: yunohost_installed_domains_raw
  changed_when: False

- name: Format json of domains
  ansible.builtin.set_fact: yunohost_installed_domains="{{ yunohost_installed_domains_raw.stdout | from_json }}"

- name: Create domains
  ansible.builtin.shell: yunohost domain add {{ item }}
  with_items: "{{ yunohost.extra_domains }}"
  when: item not in yunohost_installed_domains.domains
